ApiClusterTemplateHostTemplate (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiClusterTemplateHostTemplate

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiClusterTemplateHostTemplate

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiClusterTemplateHostTemplate
      extends Object

  Host templates will contain information about the role config groups that should be applied to a host. This basically means a host will have a role corresponding to each config group.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiClusterTemplateHostTemplate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClusterTemplateHostTemplate` | `addRoleConfigGroupsRefNamesItem(String roleConfigGroupsRefNamesItem)`
    `ApiClusterTemplateHostTemplate` | `addTagsItem(ApiEntityTag tagsItem)`
    `ApiClusterTemplateHostTemplate` | `cardinality(BigDecimal cardinality)`
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getCardinality()` Represent the cardinality of this host template on source.
    `String` | `getRefName()` Reference name
    `List<String>` | `getRoleConfigGroupsRefNames()` List of role config groups
    `List<ApiEntityTag>` | `getTags()` The tags to be added to hosts when this template is applied
    `int` | `hashCode()`
    `ApiClusterTemplateHostTemplate` | `refName(String refName)`
    `ApiClusterTemplateHostTemplate` | `roleConfigGroupsRefNames(List<String> roleConfigGroupsRefNames)`
    `void` | `setCardinality(BigDecimal cardinality)`
    `void` | `setRefName(String refName)`
    `void` | `setRoleConfigGroupsRefNames(List<String> roleConfigGroupsRefNames)`
    `void` | `setTags(List<ApiEntityTag> tags)`
    `ApiClusterTemplateHostTemplate` | `tags(List<ApiEntityTag> tags)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiClusterTemplateHostTemplate

          public ApiClusterTemplateHostTemplate()

  - ### Method Detail

    - #### refName

          public ApiClusterTemplateHostTemplate refName(String refName)

    - #### getRefName

          public String getRefName()

      Reference name
      Returns:
        refName

    - #### setRefName

          public void setRefName(String refName)

    - #### roleConfigGroupsRefNames

          public ApiClusterTemplateHostTemplate roleConfigGroupsRefNames(List<String> roleConfigGroupsRefNames)

    - #### addRoleConfigGroupsRefNamesItem

          public ApiClusterTemplateHostTemplate addRoleConfigGroupsRefNamesItem(String roleConfigGroupsRefNamesItem)

    - #### getRoleConfigGroupsRefNames

          public List<String> getRoleConfigGroupsRefNames()

      List of role config groups
      Returns:
        roleConfigGroupsRefNames

    - #### setRoleConfigGroupsRefNames

          public void setRoleConfigGroupsRefNames(List<String> roleConfigGroupsRefNames)

    - #### cardinality

          public ApiClusterTemplateHostTemplate cardinality(BigDecimal cardinality)

    - #### getCardinality

          public BigDecimal getCardinality()

      Represent the cardinality of this host template on source. Defaults to 0.
      Returns:
        cardinality

    - #### setCardinality

          public void setCardinality(BigDecimal cardinality)

    - #### tags

          public ApiClusterTemplateHostTemplate tags(List<ApiEntityTag> tags)

    - #### addTagsItem

          public ApiClusterTemplateHostTemplate addTagsItem(ApiEntityTag tagsItem)

    - #### getTags

          public List<ApiEntityTag> getTags()

      The tags to be added to hosts when this template is applied
      Returns:
        tags

    - #### setTags

          public void setTags(List<ApiEntityTag> tags)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.